import React, { useRef, useState, useEffect } from "react";
import Alert from '@mui/material/Alert';
import Stack from '@mui/material/Stack';

const Module_Alert_Confirmation = (props) => {

    const [showElement,setShowElement] = React.useState(true);
    
    useEffect(()=>{
        setTimeout(function() {
          setShowElement(false)
             }, 4000);
           },
       [])
    
    return (
        <div className="module_alert_confirmation" >

            {showElement && props.alert_message && String(props.alert_type) === "1" && <Stack sx={{ width: '100%' }} spacing={2}>
                <Alert severity="success"> {props.alert_message}</Alert>
                <Alert severity="info"> {props.alert_message}</Alert>
                <Alert severity="warning"> {props.alert_message}</Alert>
                <Alert severity="error"> {props.alert_message}</Alert>
            </Stack>}




            {showElement  && props.alert_message && String(props.alert_type) === "success" && <div style={{
                width: "80%", margin: "auto", 
                position: "fixed", marginLeft: '10%', top: "10px", "border-left": "1rem solid green"
            }}>
                <Stack sx={{ width: '100%' }} spacing={2}>
                    <Alert variant="filled" severity="success"> {props.alert_message}</Alert>
                </Stack>
            </div>}




            {showElement  && props.alert_message && String(props.alert_type) === "error" && <div style={{
                width: "80%", margin: "auto",
                position: "fixed", marginLeft: '5%', top: "10px", "border-left": "1rem solid red"
            }}>
               <Stack sx={{ width: '100%' }} spacing={2}>
                    <Alert variant="filled" severity="error"> {props.alert_message}</Alert>
                </Stack>
            </div>}

            {showElement  && props.alert_message && String(props.alert_type) === "info" && <div style={{
                width: "80%", margin: "auto",
                position: "fixed", marginLeft: '5%', top: "10px",
            }}>
               <Stack sx={{ width: '100%' }} spacing={2}>
               <Alert variant="filled" severity="info"> {props.alert_message}</Alert>
                </Stack>
            </div>}


            {showElement  && props.alert_message && String(props.alert_type) === "warning" && <div style={{
                width: "80%", margin: "auto",
                position: "fixed", marginLeft: '5%', top: "10px",
            }}>
               <Stack sx={{ width: '100%' }} spacing={2}>
               <Alert variant="filled" severity="warning"> {props.alert_message}</Alert>
                </Stack>
            </div>}


        </div >
    );
}
export default Module_Alert_Confirmation;